unit F_Main;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, Menus,
  StdCtrls, Dialogs, Buttons, Messages, ExtCtrls, ComCtrls, StdActns,
  DBActns, ActnList, ToolWin, ImgList;

type
  Tfo_Main = class(TForm)
    Mn_MenuMain: TMainMenu;
    Mn_Window: TMenuItem;
    WindowCascadeItem: TMenuItem;
    WindowTileItem: TMenuItem;
    WindowArrangeItem: TMenuItem;
    OpenDlg: TOpenDialog;
    Mn_Edit: TMenuItem;
    Mn_Cut: TMenuItem;
    Mn_Copy: TMenuItem;
    Mn_Paste: TMenuItem;
    WindowMinimizeItem: TMenuItem;
    StatusBar: TStatusBar;
    ActionLst: TActionList;
    Act_Cut: TEditCut;
    Act_Copy: TEditCopy;
    Act_Paste: TEditPaste;
    Act_Exit: TAction;
    Act_Open: TAction;
    Act_WindowCascade: TWindowCascade;
    Act_WindowTileHorizontal: TWindowTileHorizontal;
    Act_WindowArrangeAll: TWindowArrange;
    Act_WindowMinimizeAll: TWindowMinimizeAll;
    Act_Close: TWindowClose;
    Act_WindowTileVertical: TWindowTileVertical;
    WindowTileItem2: TMenuItem;
    ToolBar_DRE: TToolBar;
    ToolOpen: TToolButton;
    ToolCut: TToolButton;
    ToolCopy: TToolButton;
    ToolPaste: TToolButton;
    ToolWindowCasc: TToolButton;
    ToolWindowHoriz: TToolButton;
    ToolWindowVertic: TToolButton;
    ImgLst: TImageList;
    WindowMaximizeItem: TMenuItem;
    N2: TMenuItem;
    Mn_Fichier: TMenuItem;
    Mn_Ouvrir: TMenuItem;
    Mn_Fermer: TMenuItem;
    Mn_Quitter: TMenuItem;
    N1: TMenuItem;
    procedure Act_OpenExecute(Sender: TObject);
    procedure Act_ExitExecute(Sender: TObject);
    procedure Mn_CloseClick(Sender: TObject);
    procedure WindowMaximizeItemClick(Sender: TObject);
    procedure FormResize(Sender: TObject);
  private
    { Private declarations }
    procedure CreateMDIChild(const Name: string);
  public
    boClose : boolean;
    { Public declarations }
  protected
  
  end;

var
  fo_Main: Tfo_Main;

implementation

{$R *.DFM}

uses F_Etat;

procedure Tfo_Main.CreateMDIChild(const Name: string);
var
  Etat  : Tfo_MDIEtat;
begin
  Etat         := Tfo_MDIEtat.Create(Application);
  Etat.Caption := Name;
  Etat.Name    := 'Etat' + IntToStr(MDIChildCount);

  if FileExists(Name) then
    Etat.RichEdt_Etat.Lines.LoadFromFile(Name);
end;

procedure Tfo_Main.Act_OpenExecute(Sender: TObject);
begin
  if OpenDlg.Execute then
    begin
      CreateMDIChild(OpenDlg.FileName);
      boClose := false;

      if MDIChildCount >= 1 then
        WindowMaximizeItem.Enabled := true;
    end;
end;

procedure Tfo_Main.Act_ExitExecute(Sender: TObject);
begin
  Close;
end;

procedure Tfo_Main.Mn_CloseClick(Sender: TObject);
begin
  if ActiveMDIChild <> nil then
    begin
      boClose := true;
      ActiveMDIChild.Close;
    end;

  if MDIChildCount = 1 then
    WindowMaximizeItem.Enabled := false;
end;

procedure Tfo_Main.WindowMaximizeItemClick(Sender: TObject);
var in_i : integer;

begin
  if MDIChildCount >= 1 then
    for in_i := MDIChildCount - 1 downto 0 do
      MDIChildren[in_i].WindowState := wsMaximized;
end;

procedure Tfo_Main.FormResize(Sender: TObject);
var
  Etat  : Tfo_MDIEtat;
begin
  if ActiveMDIChild <> nil then
    begin
      Etat := (ActiveMDIChild as Tfo_MDIEtat);
      Etat.position := poScreenCenter;
    end;
end;

end.
